GET /albservices/status

GET /albservices/status

/albservices/status

Request
URI
GET
https://{api_host}/api/albservices/status
COPY
Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ALBServicesStatus of type(s) application/json
{
    "_last_modified": "string",
    "asset_details": {
        "asset_id": "string",
        "email": "string",
        "keyless_license": {
            "license_token": "string"
        },
        "site": {
            "site_id": "string",
            "site_name": "string"
        },
        "user_name": "string"
    },
    "connected_at": {
        "secs": 0,
        "usecs": 0
    },
    "connectivity_status": "string",
    "error": "string",
    "name": "string",
    "registration_status": "string",
    "services_health": [
        {
            "available": false,
            "controllerReason": "string",
            "id": "string",
            "last_updated_time": {
                "secs": 0,
                "usecs": 0
            },
            "name": "string",
            "operational": false,
            "portalReason": "string",
            "reason": "string"
        }
    ],
    "tenant_ref": "string",
    "tenant_status": {
        "iprep_synced_at": "string",
        "last_connected_at": "string",
        "last_disconnected_at": "string",
        "last_registered_at": "string",
        "last_token_refreshed_at": "string",
        "license_refreshed_at": "string"
    },
    "url": "string",
    "uuid": "string"
}
string
_last_modified
Read-Only  

UNIX time since epoch in microseconds. Units(MICROSECONDS).

object
asset_details
Optional

asset_details

object
connected_at
Optional

connected_at

string
connectivity_status
Optional
Constraints: default: ALBSERVICES_CONNECTIVITY_UNKNOWN

Connectivity status of controller with ALBServices. Enum options - ALBSERVICES_CONNECTIVITY_UNKNOWN, ALBSERVICES_DISCONNECTED, ALBSERVICES_CONNECTED. Field introduced in 18.2.6. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
error
Optional

Descriptive error message. Field introduced in 18.2.6. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
name
Required  

Name of the ALBServicesStatus object. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
registration_status
Optional
Constraints: default: ALBSERVICES_REGISTRATION_UNKNOWN

Registration status of the controller with ALBServices. Enum options - ALBSERVICES_REGISTRATION_UNKNOWN, ALBSERVICES_REGISTERED, ALBSERVICES_DEREGISTERED. Field introduced in 18.2.6. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
services_health
Optional

Health of hosted services. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
tenant_ref
Optional

Tenant UUID associated with the Object. It is a reference to an object of type Tenant. Field introduced in 30.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
tenant_status
Optional

tenant_status

string
url
Read-Only  

url

string
uuid
Optional

Unique identifier of customer portal status object in the database and datastore. Field introduced in 18.2.6. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/albservices/status